Bug 450491 - incorrect license tag in microcode_ctl
incorrect license tag in microcode_ctl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 03:14 EDT by Alexandre Oliva
Modified: 2011-06-27 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2008-06-09 03:14:41 EDT
Description of problem:
/microcode_ctl-1.17-1.45.fc9 claims to be licensed under GPLv2.  This may be
true for a lot of the code in the package, but it's not true of all of the
contents of the package.  microcode_ctl-20080401.dat, for example, says:

/       Copyright (c) <1995-2008>, Intel Corporation.
/	All rights reserved.
/
/	Redistribution. Redistribution and use in binary form, without modification, are
/	permitted provided that the following conditions are met:
/		.Redistributions must reproduce the above copyright notice and the following
/	disclaimer in the documentation and/or other materials provided with the
/	distribution.
/		.Neither the name of Intel Corporation nor the names of its suppliers may be used
/	to endorse or promote products derived from this software without specific prior
/	written permission.
/		.No reverse engineering, decompilation, or disassembly of this software is
/	permitted.
/		."Binary form" includes any format commonly used for electronic conveyance
/	which is a reversible, bit-exact translation of binary representation to ASCII or
/	ISO text, for example, "uuencode."
/
/	DISCLAIMER. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
/	HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
/	WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
/	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
/	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
/	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
/	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
/	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
/	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
/	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
/	STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
/	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
/	ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This is clearly not compatible with GPLv2+, the license the package claims to be
under.  I suggest fixing the license tag or moving the file to a separate package.
Comment 1 Alexandre Oliva 2008-06-10 02:20:10 EDT
See also bug 450492, comment 2.
Comment 2 Bug Zapper 2009-06-09 21:29:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:28:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Alexandre Oliva 2010-04-30 02:44:24 EDT
License tag still wrong as of Fedora 12, and 13-Beta.
Comment 5 Richard Fontana 2010-04-30 11:06:36 EDT
The license tag is inconsistent with published Fedora guidelines at 
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
unless I am misinterpreting them somehow. 
I believe the correct license tag, under those guidelines, would be:

   License: GPLv2+ and Redistributable, no modification permitted
Comment 6 Jared Smith 2010-09-07 13:49:03 EDT
Please also note that the license of the AMD microcode (as contained in the /usr/share/doc/microcode_ctl-1.17/LICENSE.microcode_amd file in the RPM) is also non-free.
Comment 7 Toshio Kuratomi 2010-09-07 14:06:20 EDT
That is the correct license tag. I'm going to update the License tag in the spec file for Rawhide, F14, and F13 since that seems to be a clear fix.  I won't build it, though.  Hope that's okay, Jon.

A question, though -- should the /sbin/microcode_ctl utility be split out from the non-modifiable data?  At least theoretically, someone working on free microcode would need the /sbin/microcode_ctl utility but might not want to install the non-modifiable firmware (to help show they implmented their microcode in a cleanroom environment or such).
Comment 8 Jon Masters 2010-09-07 21:54:29 EDT
Oh. Hmm. I'll take care of this. Sorry I dropped the ball on this one.
Comment 9 Bug Zapper 2011-06-02 14:30:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jared Smith 2011-06-02 17:01:11 EDT
Jon, has this been taken care of, so that we can close the bug?
Comment 11 Bug Zapper 2011-06-27 09:59:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.